import { iconChipVariants } from "./variants"

interface IconChipProps {
  color: "blue" | "green" | "red" | null | undefined
  icon: React.ReactNode
  children: React.ReactNode
  className?: string
}

export default function IconChip({
  color,
  icon,
  className,
  children,
}: IconChipProps) {
  const classNames = iconChipVariants({
    color: color,
    className: className,
  })
  return (
    <div className={classNames}>
      {icon}
      {children}
    </div>
  )
}
